Get the results of the client charges report

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • costCentreId
    Type: string | nullFormat: uuid

    The cost centre id to filter by

  • dateFrom
    Type: stringFormat: date

    The start date in the charge date range

  • dateTo
    Type: stringFormat: date

    The end date in the charge date range

  • revenueAccountId
    Type: string | nullFormat: uuid

    The revenue account id to filter by

  • transactionType
    Type: integerenum

    Integer numbers.

    values
    • AdhocCharge = 0
    • FreightCharge = 1
    • StorageCharge = 2
    • ActivityCharge = 3
Responses
  • application/json
Request Example for post/v1/reports/client-charges
curl https://api.consignlyhq.com/v1/reports/client-charges \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "transactionType": "enum (AdhocCharge = 0, FreightCharge = 1, StorageCharge = 2, ActivityCharge = 3)",
  "costCentreId": null,
  "revenueAccountId": null
}'
[
  {
    "clientName": null,
    "clientCode": null,
    "externalId": null,
    "transactionDate": "date (YYYY-MM-DD)",
    "scheduleStatus": "enum (Draft = 1, Approved = 2)",
    "scheduleReference": null,
    "transactionType": "enum (AdhocCharge = 0, FreightCharge = 1, StorageCharge = 2, ActivityCharge = 3)",
    "activityName": null,
    "activityCode": null,
    "particulars": null,
    "consignmentNumber": null,
    "containerNumber": null,
    "referenceNumber": null,
    "consigneeName": null,
    "revenueAccountCode": null,
    "costCentreCode": null,
    "taxRatePercent": 1,
    "quantity": 1,
    "chargeRateExclTax": 1,
    "chargeApplication": "enum (Rate = 1, Fee = 2)",
    "baseChargeExclTax": null,
    "minChargeExclTax": null,
    "maxChargeExclTax": null,
    "amountExclTax": 1
  }
]